## python-ruyaml 0.92.1

=== _doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         = a4
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/yaml.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/yaml.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/yaml"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/yaml"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-ruyaml 0.91.0

=== debian/changelog ===
python-ruyaml (0.91.0-5) unstable; urgency=medium

  * Team upload.
  * Do not generate a spurious dependency on python3-pkg-resources
    (Closes: #1083703)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 18 Jan 2025 23:48:59 +0100

python-ruyaml (0.91.0-4) unstable; urgency=medium

  * Team upload.
  * Do not generate a spurious dependency on python3-pkg-resources
    (Closes: #1083703)

 -- Alexandre Detiste <tchet@debian.org>  Tue, 14 Jan 2025 07:43:43 +0100

python-ruyaml (0.91.0-3) unstable; urgency=medium

  * [a93b8d1] Rebuild patch queue from patch-queue branch
    (Closes: #1058369)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 01 Jan 2024 12:18:38 +0100

python-ruyaml (0.91.0-2) unstable; urgency=medium

  * Source only upload

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 23 Sep 2023 13:33:13 +0200

python-ruyaml (0.91.0-1) unstable; urgency=medium

  * [e7632d5] New upstream version 0.91.0
  * [69ac859] First and initial Debianization
    (Closes: #1051758)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 12 Sep 2023 13:41:31 +0530

=== debian/control ===
Source: python-ruyaml
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 pybuild-plugin-pyproject,
 dh-sequence-sphinxdoc,
 python3-all,
 python3-setuptools,
 python3-setuptools-scm,
Build-Depends-Indep:
 python3-pytest <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ruyaml
Vcs-Git: https://salsa.debian.org/python-team/packages/python-ruyaml.git
Homepage: https://github.com/pycontribs/ruyaml

Package: python-ruyaml-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: YAML 1.2 loader/dumper package for Python (Documentation)
 The ruyaml package is a fork of ruamel.yaml aimed to made in order to secure
 the future of the library, mainly by having a pool of maintainers and can be
 used as a drop-in replacement for python3-ruamel.yaml.
 .
 This package installs the documentation for the library.

Package: python3-ruyaml
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-ruamel-doc,
Description: YAML 1.2 loader/dumper package for Python
 The ruyaml package is a fork of ruamel.yaml aimed to made in order to secure
 the future of the library, mainly by having a pool of maintainers and can be
 used as a drop-in replacement for python3-ruamel.yaml.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME=ruyaml
export PYBUILD_BEFORE_TEST=cp -a {dir}/_test {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/_test

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -N -D html_last_updated_fmt="$(BUILD_DATE)"

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf .mypy_cache

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html $(SPHINXOPTS) _doc $(CURDIR)/debian/python-ruyaml-doc/usr/share/doc/python-ruyaml-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/pycontribs/ruyaml.git \
      refs/tags/@ANY_VERSION@

## python-ruyaml 0.92.1

=== debian/changelog ===
python-ruyaml (0.92.1-2) unstable; urgency=medium

  [ Alexandre Detiste ]
  * [82a6cf4] trim template

  [ Carsten Schoenert ]
  * [fefcb8b] d/watch: Convert to version 5
  * [9b436a4] New upstream version 0.92.1
  * [8902c39] Rebuild patch queue from patch-queue branch
    Dropped patch (not needed anymore):
    tests-Make-some-tests-compatible-with-Python-3.12.patch
    Renamed patch:
    do-no-generate-a-dependency-on-pkg-resources.patch
    -> Do-not-depend-on-setuptools-at-install-time.patch
  * [b8531bd] d/control: Remove Rules-Requires-Root
    The setting of Rules-Requires-Root: no is now default.
  * [4bd112d] d/control: Update Standards-Version to 4.7.2
    No further changes needed.
  * [fb94601] d/rules: Use custom command for test call
  * [5bb0f08] d/rules: Drop -D option from SPHINXOPTS
  * [c5c5434] d/rules: Drop --with option in default target
  * [2b0fb83] d/control: Depend on dh-sequence-python3
  * [6a1b1e4] autopkgtest: Adjust test setup due new version
  * [e49ebd6] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 13 Sep 2025 13:15:53 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  pybuild-plugin-pyproject,
+ dh-sequence-python3,
  dh-sequence-sphinxdoc,
  python3-all,
  python3-setuptools,
@@ -15,8 +16,7 @@
  python3-pytest <!nocheck>,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ruyaml
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-ruyaml.git
 Homepage: https://github.com/pycontribs/ruyaml

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME=ruyaml
export PYBUILD_BEFORE_TEST=cp -a {dir}/_test {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/_test
PYBUILD_TEST_ARGS=-k '\
 not test_qualified_name00 \
 '

SPHINXOPTS := -E -N

%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf .mypy_cache

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html $(SPHINXOPTS) _doc $(CURDIR)/debian/python-ruyaml-doc/usr/share/doc/python-ruyaml-doc/html
	dh_sphinxdoc
endif

override_dh_auto_test:
	PYTHONPATH=$(CURDIR)/_test dh_auto_test -- --system=custom --test-args="{interpreter} -m pytest _test/test*.py $(PYBUILD_TEST_ARGS)"

=== debian/watch ===
Version: 5

Source: https://github.com/pycontribs/ruyaml.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Dversionmangle: s/\+ds(\.?\d+)?$//
Mode: git
Uversion-Mangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
